import GameLogic
controller = GameLogic.getCurrentController()
owner = controller.owner

# Get last data
mpYaw = GameLogic.mpYaw
mpPitch = GameLogic.mpPitch
mpRoll = GameLogic.mpRoll

nb_item = 128
mp_center = GameLogic.mp_center

# Create list with nb items
if len(mp_center) < nb_item:
    mp_center.append((mpYaw,mpPitch,mpRoll))
    GameLogic.mp_center = mp_center
    print(len(mp_center))

# Add last acceleration and del the first in
if len(mp_center) == nb_item:
    if not owner['center_ok']:
        owner['center_ok'] = True
        mpYaw_0 = 0
        mpPitch_0 = 0
        mpRoll_0 = 0
        for i in range(nb_item):
            mpYaw_0 = mpYaw_0 + mp_center[i][0]
            mpPitch_0 = mpPitch_0 + mp_center[i][1]
            mpRoll_0 = mpRoll_0 + mp_center[i][2]
        GameLogic.mpYaw_0 = mpYaw_0/nb_item
        GameLogic.mpPitch_0 = mpPitch_0/nb_item
        GameLogic.mpRoll_0 = mpRoll_0/nb_item
        print('Motion Plus Center with :')
        print(int(GameLogic.mpYaw_0),int(GameLogic.mpPitch_0),int(GameLogic.mpRoll_0))
        mp_center = []
